import java.awt.*;
import java.awt.event.*;
import java.sql.Connection;
import java.sql.PreparedStatement;

import javax.swing.*;


public class ikinciform extends JFrame implements ActionListener {

	
	JList<String> jl;
	JTextField jtf;
	
	anaprogram anafrm;
	public ikinciform(anaprogram _anafrm)
	{
		anafrm=_anafrm;
		
		this.setTitle("İsim Listesi");
		this.setLayout(new FlowLayout());
		this.setSize(200,400);
		this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		
		JPanel jpn_main= new JPanel();
		jpn_main.setPreferredSize(new Dimension(190,390));
		
		JLabel jlab = new JLabel("İsim Listesi");
		jpn_main.add(jlab);
		
		jl = new JList<String>(anafrm.vc_isimler);	
		JScrollPane jscp = new JScrollPane(jl);
		jscp.setPreferredSize(new Dimension(180,290));
		jpn_main.add(jscp);
		
		
		jtf = new JTextField();
		jtf.setPreferredSize(new Dimension(180,30));
		jpn_main.add(jtf);
		
		
		JButton jbtn1 = new JButton("Ekle");
		jbtn1.setPreferredSize(new Dimension(85,30));
		jbtn1.setActionCommand("ekle");
		jbtn1.addActionListener(this);
		
		JButton jbtn2 = new JButton("Çıkış");
		jbtn2.setPreferredSize(new Dimension(85,30));
		jbtn2.addActionListener(this);
		jpn_main.add(jbtn1);
		jpn_main.add(jbtn2);
		
		
		
		
		
		this.add(jpn_main);
		this.setVisible(false);
	}
	
	public void goster()
	{
		this.setVisible(true);
	}

	public void gizle()
	{
		this.setVisible(false);
	}
	
	@Override
	public void actionPerformed(ActionEvent arg0) {
		
		if(arg0.getActionCommand().equals("ekle"))
		{
			ekle();
		}
		else
			gizle();

	}
	
	private void ekle()
	{
		
		try{
			
			String sql="insert into isimler(isim) values(?);";
			PreparedStatement ps = anafrm.conn.prepareStatement(sql);
			ps.setString(1, jtf.getText());
			ps.executeUpdate();
			jtf.setText("");
			
			anafrm.isimcombodoldur();
			
		}catch(Exception ex){
			
		}
		
		
	}

}
